=== debian/changelog ===
ros-indigo-interaction-cursor-rviz (0.0.3-1trusty) trusty; urgency=high



 -- Adam Leeper <adamleeper@gmail.com>  Wed, 14 May 2014 07:00:00 -0000

ros-indigo-interaction-cursor-rviz (0.0.2-1trusty) trusty; urgency=high

  * add metapackage
  * apply catkin_lint
  * Choose the 'best' control when grabbing an object.
  * Contributors: Adam Leeper, Dane Powell

 -- Adam Leeper <adamleeper@gmail.com>  Tue, 13 May 2014 07:00:00 -0000

ros-indigo-interaction-cursor-rviz (0.0.1-1trusty) trusty; urgency=high

  * fixes launch files
  * fixes install paths
  * renamed plugin description
  * removed extra scripts
  * changed maintainer email
  * moves cat_user_entity to interaction_cursor_demo
  * fixes null pointer bug
  * fixed menu support through key events
  * reworking basic controls example
  * adds markers to message, fix key events
  * adds basic controls script for testing
  * disables update callback when disabled
  * adds gencpp build dependency to target
  * updated PLUGIN_EXPORT macro
  * catkinized
  * removes obsolete code
  * fixes scale, adds color/alpha properties
  * adds better support for cursor feedback
  * minor updates
  * adds feedback for attachment frames and poses
  * closer to menu support; removes old stuff
  * removes obsolete code, adds error messages for menus
  * changed to new interactive_marker api
  * significant changes to marker selection
  * Adds work-around for hasCustomParamter() in Ogre.
  * added a PR2 teleop test file
  * fixed start and stop dragging stuff, maybe
  * added marker grabbing
  * adds support for message API
  * initial marker highlighting works
  * Contributors: Adam Leeper, aleeper

 -- Adam Leeper <adamleeper@gmail.com>  Mon, 01 Jul 2013 07:00:00 -0000
