=== debian/control ===
Source: ros-indigo-interaction-cursor-rviz
Section: misc
Priority: extra
Maintainer: Adam Leeper <adamleeper@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-interaction-cursor-msgs, ros-indigo-rviz
Homepage: http://www.ros.org/wiki/interaction_cursor_rviz
Standards-Version: 3.9.2

Package: ros-indigo-interaction-cursor-rviz
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-geometry-msgs, ros-indigo-interaction-cursor-msgs, ros-indigo-rviz
Description: An Rviz plugin that implements the interaction_cursor_msgs API to interact with interactive_markers.
